﻿/**Begin D:\dev\tools\PDM_UPGRADE\pdm1\HRCC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGITEMS') 
 CREATE TABLE T_HRCC_CONFIGITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCONFIGNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FSUPPORTADDTOPACKET CHAR(1) DEFAULT '0' NOT NULL,
FIMPORTTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FPLUGIN VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCUSTPARAMPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIZENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FKEYFIELDS VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCOMPAREKEY VARCHAR(2) DEFAULT '2' NOT NULL,
FORDERFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEEDALLHIS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGTREE_L') 
 CREATE TABLE T_HRCC_CONFIGTREE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_RELENTITYCONF') 
 CREATE TABLE T_HRCC_RELENTITYCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FRELENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSOURCEENTITYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FRELFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRELFIELDNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FSOURCEFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEFIELDNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FRELCOMPARATOR VARCHAR(10) DEFAULT ' ' NOT NULL,
FCONFIGITEMNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCONFIGITEMID BIGINT DEFAULT 0 NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FKEYFIELDS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMPAREKEY VARCHAR(10) DEFAULT ' ' NOT NULL,
FORDER INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_RELENTITYCONF_L') 
 CREATE TABLE T_HRCC_RELENTITYCONF_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FRELFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGITEMS_L') 
 CREATE TABLE T_HRCC_CONFIGITEMS_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_CONFSYNLOG') 
 CREATE TABLE T_HRCC_CONFSYNLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFENTITYNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDELSQL VARCHAR(255) DEFAULT ' ' NOT NULL,
FDELSQL_TAG NCLOB,
FINSERTSQL VARCHAR(255) DEFAULT ' ' NOT NULL,
FINSERTSQL_TAG NCLOB,
FAPPID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDBROUTE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_CONFSYNLOG_L') 
 CREATE TABLE T_HRCC_CONFSYNLOG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_CONFIGTREE') 
 CREATE TABLE T_HRCC_CONFIGTREE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FLONGNUMBER VARCHAR(500) DEFAULT ' ' NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL,
FISLEAF CHAR(1) DEFAULT '0' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORDERFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_BASECONFIG_L') 
 CREATE TABLE T_HRCC_BASECONFIG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRCC_BASECONFIG') 
 CREATE TABLE T_HRCC_BASECONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);



/**End D:\dev\tools\PDM_UPGRADE\pdm1\HRCC_table.sql **/
